#include <iostream>
#include <istream>
using namespace std;

class Token {
public:
    double value;
    char kind;

    Token(char op) {  /// construct an operator Token
        kind = op;
        value = 0;
    }
    Token(char op, double val) /// construct a number Token
    : kind(op), value(val)
    { }
};

Token get_Token() {
    char input;
    cin >> input;
    if(int(input)>47 && int(input)<58) {
        cin.putback(input);
        double number;
        cin >> number;
        return Token('8',number);
    }
    switch(input) {
    case '+' :
        return Token('+');
    case '-' :
        return Token('-');
    case '*' :
        return Token('*');
    case '/' :
        return Token('/');
    case '%' :
        return Token('%');
    case '(' :
        return Token('(');
    case ')' :
        return Token(')');
    default :
        cout << "Bad Token";
        return Token('b');
    }
}

double expression() {
    double left = expression();
    Token t = get_Token();
}

int main() {
    cout << "\nEnter an expression: ";
    while(1) {
        Token t = get_Token();
        cout << "\nYou entered " << t.kind;
    }
    return 0;
}
